\name{pcme.entropy}
\alias{pcme.entropy}
\alias{sigma2.to.ent}
\alias{sigma2.to.entgrad}
\alias{sigma2.to.enthess}
\alias{mynorm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Compute entropy and its derivatives }
\description{
  Compute the entropy of a periodically correlated time series model and its
  derivatives with respect to unknown autocovariances.
}
\usage{
sigma2.to.ent(sigma2)
sigma2.to.entgrad(sigma2, gradsigma2)
sigma2.to.enthess(sigma2, gradsigma2, grad2sigma2)
mynorm(x)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{sigma2}{ vector of forward prediction variances. }
  \item{gradsigma2}{ gradient of forward prediction variances. }
  \item{grad2sigma2}{ Hessian matrix of forward prediction variances. }
  \item{x}{ a numeric vector of prediction variances. }
}
\details{
}
\value{

  for \code{sigma2.to.ent} the entropy, a numeric scalar.

  for \code{sigma2.to.entgrad} the gradient of the entropy, a numeric vector.

  for \code{sigma2.to.enthess} the Hessian of the entropy, a matrix.
}
\references{
  Boshnakov, Georgi  and Lambert-Lacroix, Sophie (2009?)
  Maximum entropy for periodically correlated processes from
  nonconsecutive autocovariance coefficients.
  \emph{J. Time Series Anal.} (to appear)
}
\author{ Sophie Lambert-Lacroix }
%\note{}
% \seealso{
%   ~~objects to See Also as \code{\link{help}}, ~~~
% }
\examples{
sigma2.to.ent(c(1,0.50,0.8))   # -0.3054302
sum(log(c(1,0.50,0.8)))/3  # same

##ex From myhessian.r
R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,0,1,0,1,0,2,1,2,2),nrow=3)
R[,1]<-R[,1]+1
LD(R,Tau)

res <- LDhessian(R,Tau)

sigma2.to.ent(res$sigma2f)
sigma2.to.entgrad(res$sigma2f,res$gradsigma2f)

H <- sigma2.to.enthess(res$sigma2f,res$gradsigma2f,res$grad2sigma2f)
det(-H)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ts }
