\name{pcme.paperex}
\alias{pcme.paperex}
\docType{data}
\title{ Example periodic autocovariances}
\description{
  Periodic autocovariances used in the referenced paper and in the
  examples in thispackage for illustration of maximum entropy completion.
}
\usage{data(pcme.paperex)}
\format{
  A list of five \eqn{4\times2}{4 x 2} matrices, each (possibly) representing
  periodic autocovariances of a periodically correlated time
  series with period \eqn{T=2}. The "possibly" qualifier is used because it may not  be
  possible to  complete these to  complete periodic autocovariance
  sequences.

  The ordering is the season-lag ordering used for all function in
  package \code{pcme}. Let
  \eqn{R_{k}(l)=Cov(X_k,X_{k-l})}{R_k(l)=Cov(X(k),X(k-l))} for \eqn{k=1,2}
  and \eqn{l=0,1,2,3}. Then the arrangement of the autocorrelations in
  each matrix is as follows:
  \tabular{cccc}{
    \eqn{R_{1}(0)}{R_1(0)} \tab
    \eqn{R_{1}(1)}{R_1(1)} \tab
    \eqn{R_{1}(2)}{R_1(2)} \tab
    \eqn{R_{1}(3)}{R_1(3)} \cr
    \eqn{R_{2}(0)}{R_2(0)} \tab
    \eqn{R_{2}(1)}{R_2(1)} \tab
    \eqn{R_{2}(2)}{R_2(2)} \tab
    \eqn{R_{2}(3)}{R_2(3)} \cr
    }
}
%\details{}
\source{
  ~~ reference to a publication or URL from which the data were obtained ~~
}
\references{
  Boshnakov, Georgi  and Lambert-Lacroix, Sophie (2009?)
  Maximum entropy for periodically correlated processes from
  nonconsecutive autocovariance coefficients.
  \emph{Journal of Time Series Analysis} (to appear)

  Lambert-Lacroix, Sophie (2005) Extension of autocovariance
  coefficients sequence for periodically correlated processes.
  \emph{Journal of Time Series Analysis}, \bold{26}, No. 6, 423-435.

}
\seealso{
  \code{\link{pcme}}
}
\examples{
data(pcme.paperex)
names(pcme.paperex)
pcme.paperex$rex1
}
\keyword{datasets}
