\name{stabilNewton}
\alias{stabilNewton}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Modified Newton method for function minimisation }
\description{
  Implements a hybrid method of minimisation based on gradient and
  Newton methods.
}
\usage{
stabilNewton(f, x, alpha = 10^(-4), beta = 0.9,
             xvaltol = 10^(-6), gradtol = 10^{-12}, gradnormtol = 10^{-8},
             itermax = 100, fonly, choosedirtol = 10^(-12), betaflag = TRUE)
}
\arguments{
  \item{f}{ evaluate the  function, its gradient, and Hessian, see Details. }
  \item{x}{ initial value. }
  \item{alpha}{ damping constant for Newton direction. }
  \item{beta}{ modifier for further damping in Newton direction. }
  \item{xvaltol}{ tollerance for  stopping  rules. }
  \item{gradtol}{ tollerance for  stopping  rules. }
  \item{gradnormtol}{ tollerance for  stopping  rules. }
  \item{itermax}{ limit for number of iterations. }
  \item{fonly}{ evaluates f, but not derivatives. }
  \item{choosedirtol}{ ??? }
  \item{betaflag}{ ??? }
}
\details{

}
\value{
  A list with  the following components:
  \item{res$estimate }{ the value of the argument where the minimum occurs.}
  \item{res$karmijo }{ ??? }
  \item{res$iterations }{ number  of iterations. }
  \item{res$minimum }{ f(x), the value of the function at \code{res$estimate}. }
  \item{res$gradient }{ gradient of f at \code{res$estimate}. }
  \item{res$hessian }{ Hessian of f at \code{res$estimate}. }
  \item{res$cntgrad }{ number of computations  of the gradient. }
  \item{res$cnthes }{ number of computations  of the Hessian. }
  \item{res$optimhistory }{ a log of the optimisation steps. }

}
% \references{
% }
\author{ Georgi Boshnakov }
\note{ To do: document this function and the method properly and add references. }
\seealso{
  \code{\link{nlm}}
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ optimize }
